> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post integrationapp events



## OpenAPI

````yaml https://integration-event-ms.supergasbras.app/swagger/v1.0/swagger.json post /Integration/app-events
openapi: 3.0.1
info:
  title: CTech IntegrationEvent
  description: Service responsible for handling IntegrationEvent version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /Integration/app-events:
    post:
      tags:
        - AppEvents
      parameters:
        - name: api-version
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/IntegrationData'
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationData'
          text/json:
            schema:
              $ref: '#/components/schemas/IntegrationData'
          application/*+json:
            schema:
              $ref: '#/components/schemas/IntegrationData'
      responses:
        '202':
          description: Accepted
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    IntegrationData:
      type: object
      properties:
        idMensagem:
          type: string
          nullable: true
        nomeEvento:
          type: string
          nullable: true
        mensagem:
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````